AWESOME plugin, doesn't work in FF3.6 Rated 5 out of 5 stars

I l-o-v-e this extension, but it doesn't work in FF3.6. Since upgrading to 3.6, I have a hole in my heart due to the loss of NextTab. Only an updated version can fill that hole. Until then, I will weep every time I have to drag a tab next to be my current one.